Bug 46609 - Annoying delay when you start EDITING (e.g. typing) after opening/creating a file
Summary: Annoying delay when you start EDITING (e.g. typing) after opening/creating a ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: All Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 50731 53704 56728 63414 (view as bug list)
Depends on:
Blocks: MacOS-Wishlist
  Show dependency treegraph
 
Reported: 2012-02-25 03:28 UTC by Jan Bengtsson
Modified: 2013-06-01 07:22 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Bengtsson 2012-02-25 03:28:42 UTC
Delays of the characters while writing after startup of new or old document.
Comment 1 Korrawit Pruegsanusak 2012-03-06 07:45:34 UTC
Are you sure that this happen in version 3.4.5? Is it 3.5?
Comment 2 Jan Bengtsson 2012-03-06 12:55:56 UTC
(In reply to comment #1)
> Are you sure that this happen in version 3.4.5? Is it 3.5?

Yes, it is 3.5
(LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735)

The same happend in version 3.4.5 

I am using Mac OS 10.73 MacBook
Comment 3 Korrawit Pruegsanusak 2012-03-06 20:13:07 UTC
Could you please try version 3.5.1 RC2 pre-release, and check if the problem disappear?

http://dev-builds.libreoffice.org/pre-releases/mac/

I think it's as same as bug 46805, which is fixed in 3.5.1 RC2. Thanks :)
Comment 4 bfoman (inactive) 2012-06-28 09:19:58 UTC
*** Bug 50731 has been marked as a duplicate of this bug. ***
Comment 5 bfoman (inactive) 2012-07-02 00:35:24 UTC
Please check if this bug is reproducible with the latest stable release.
Comment 6 Jan Bengtsson 2012-07-02 08:07:44 UTC
Hello!

The bug i reported "Delays typing in opening file" is still being retained.
I am using LibreOffice version 3.5.4 OOO350m1(Build 2)

Best regards
Jan Bengtsson
Comment 7 higgins967 2012-07-02 11:13:10 UTC
I, too, continue to have the same problem, even using the latest release (3.5.4.2)
Comment 8 higgins967 2012-07-02 11:33:13 UTC
I, too, continue to have the same problem, even using the latest release
(3.5.4.2)

MacBook Air OS X Lion 10.7.4 (11E53)
Comment 9 Roman Eisele 2012-09-28 08:26:58 UTC
*** Bug 53704 has been marked as a duplicate of this bug. ***
Comment 10 Roman Eisele 2012-09-28 08:34:49 UTC
Until now, this bug was missing a detailed description. Therefore I copy the good description from bug 53704 (which is a duplicate of the present one), with some minor changes:

> Problem description: 
> 
> When doing the first edit in a new document, Libre Office locks up for a
> number of seconds, causing the busy wheel to occur. It’s annoying and
> reminds of buginess each time one use Libre Office.
> 
> Perhaps this bug is specific to OS X. Perhaps it's some form of resources
> that are initialized (such as perhaps plugins loaded from disk), that causes
> this. I would try to do it asynchronously with low priority and no matter
> what do it as early as possible. Even if it cannot be done asynchronously I
> would do it at the beginning of opening the document. Better it occurs then
> rather than when the user tries to work. 
> 
> Steps to reproduce:
> 1. Start Libre office
> 2. Open a new text document
> 3. Do any form of editing in the document, such as type on letter.
> 4. Libre Office will lock up so long that OS X busy wheel occurs.

What regards the ideas about what causes this delay (“Perhaps …”), I want to add another idea: I fear that LibreOffice connects to the Java Runtime Environment (JRE) as soon as you start typing. Why it does so, I don’t know. But if you disable Java, you will get an alert (saying that Java was required) as soon you start typing -- see bug 34809 for details. This alert appears exactly in the moment when, if Java *is* installed, the delay happens, and therefore I think that the delay may be related to JRE initialization, too...

About the version:
As bug 53704 states, this issue is still present in LibO 3.6.0.

(NB: Please do NOT “update” the “Version” field in the present bug report: it always states the FIRST version in which a bug is known to exist, not the last one. Thank you!)
Comment 11 Roman Eisele 2012-09-28 08:35:54 UTC
Improved Summary, to make clear what this bug report is about.
Comment 12 fenglich 2012-09-28 08:37:42 UTC
Correction:

It's also reproduced by searching, not only typing. For instance, press cmd-F on a new document, and it will lock as well.
Comment 13 Alex Thurgood 2012-09-28 14:33:30 UTC
And it is still present in the latest LOdev daily builds...

which is very frustrating when, like me, you see the document appear on screen and then want to just start typing...

Alex
Comment 14 Roman Eisele 2012-09-28 15:14:08 UTC
(In reply to comment #12)
> It's also reproduced by searching, not only typing.

Confirmed. And by other things, too ...

Therefore adapted the summary again. Better now? ;-)
Comment 15 fenglich 2012-09-28 23:56:02 UTC
Sure, looks good to me :)
Comment 16 Emir Sarı 2012-10-23 02:41:33 UTC
I think this problem is present since the first native OS X beta of OOo.
Comment 17 Jan Bengtsson 2012-10-23 15:11:42 UTC
The problem is still there since I reported the first time, 2012-02-25.

Current Libre Office version 3.6.2.2 (Build ID: da8c1e6) on Macbook OS X Mountain Lion.
Comment 18 Roman Eisele 2012-10-23 15:21:13 UTC
@ Jan Bengtsson:
Thank you very much for confirming that the problem is still reproducible!

However, please do not “update” the Version field ;-) It should always contain the first version which is known to contain the bug, and not the last one. (This is important for finding out when a bug was introduced!)
Comment 19 bfoman (inactive) 2012-11-03 22:54:03 UTC
*** Bug 56728 has been marked as a duplicate of this bug. ***
Comment 20 Jorendc 2013-04-11 20:46:13 UTC
*** Bug 63414 has been marked as a duplicate of this bug. ***
Comment 21 Jorendc 2013-05-28 23:25:31 UTC
I can *not* reproduce this annoying delay anymore using Mac OSX 10.8.3 with LibreOffice 4.1.0 beta 1, which is you can download here: http://www.libreoffice.org/download/pre-releases/

With Java JRE enabled.

Can anyone confirm this?

Kind regards,
Joren
Comment 22 Emir Sarı 2013-06-01 07:22:31 UTC
Not reproducible anymore with 4.1.0 latest beta. 

Proudly closing this bug. :)